elm::toolbar Struct Reference

Public Member Functions
elm::toolbar Struct Reference

Class toolbar. More...

## Public Member Functions
| toolbar (Eo *eo)
| Eo Constructor. More...
| toolbar (std::nullptr_t)
| nullptr_t Constructor. More...
| toolbar (toolbar const &other)
| Copy Constructor.
::elm::widget_item | item_insert_before (::elm::widget_item before_, ::efl::eina::optional< ::efl::eina::string_view > icon_, ::efl::eina::string_view label_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | item_insert_after (::elm::widget_item after_, ::efl::eina::optional< ::efl::eina::string_view > icon_, ::efl::eina::string_view label_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | item_append (::efl::eina::optional< ::efl::eina::string_view > icon_, ::efl::eina::string_view label_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | item_prepend (::efl::eina::optional< ::efl::eina::string_view > icon_, ::efl::eina::string_view label_, Evas_Smart_Cb func_, const void *data_) const
::elm::widget_item | item_find_by_label (::efl::eina::string_view label_) const
| toolbar (::efl::eo::parent_type _p)
| Constructs a new elm::toolbar object. More...

## Detailed Description

Class toolbar.

## Constructor & Destructor Documentation

## ◆ toolbar() [1/3]

elm::toolbar::toolbar | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::toolbar object.

Constructs a new elm::toolbar object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::toolbar my_toolbar(efl::eo::parent = parent_object);

See also
  toolbar(Eo* eo)

## ◆ toolbar() [2/3]

elm::toolbar::toolbar | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ toolbar() [3/3]

elm::toolbar::toolbar | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ item_append()

::elm::widget_item elm::toolbar::item_append | ( | ::efl::eina::optional< ::efl::eina::string_view > | icon_,
|  | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  icon |
  label |
  func |
  data |

## ◆ item_find_by_label()

::elm::widget_item elm::toolbar::item_find_by_label | ( | ::efl::eina::string_view | label_ | ) | const

Parameters

  label |

## ◆ item_insert_after()

::elm::widget_item elm::toolbar::item_insert_after | ( | ::elm::widget_item | after_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | icon_,
|  | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  after |
  icon |
  label |
  func |
  data |

## ◆ item_insert_before()

::elm::widget_item elm::toolbar::item_insert_before | ( | ::elm::widget_item | before_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | icon_,
|  | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  before |
  icon |
  label |
  func |
  data |

## ◆ item_prepend()

::elm::widget_item elm::toolbar::item_prepend | ( | ::efl::eina::optional< ::efl::eina::string_view > | icon_,
|  | ::efl::eina::string_view | label_,
|  | Evas_Smart_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  icon |
  label |
  func |
  data |